Copyright: © 1996 Nokia Mobile Phones
Citation: Nokia Mobile Phones


Introduction

The AT commands supported by the data card are listed below according to their uses. The syntax, a short description, the possible setting values and responses of the AT commands supported by the data card are presented below in the descriptions of the AT commands.

The letter "n" used in the command syntax refers to a setting value. When applicable, the default value (factory setting) is in bold italics. The setting values in square brackets are optional.

Note that the "AT" or "at" prefix must be included at the beginning of each command line. You may type several AT commands on the same line, and in such cases you need to type the "AT" or "at" prefix only at the beginning of the command line.

Contents

Descriptions of AT Commands

S-Registers

Responses in AT Command Mode

Command Syntax

Syntax of AT+ Commands

Help on AT Commands

Abbreviations


Descriptions of AT Commands

Functional Groups

1. Call Control

ATA	Answer Command

ATD	Dial Command

ATH 	Hang Up Call

ATL 	Monitor Speaker Loudness

ATM 	Monitor Speaker Mode

ATO 	Go On-Line

ATP  	Set Pulse Dial as Default

ATT 	Set Tone Dial as Default

AT+CSTA 	Select Type of Address

AT+CRC 	Cellular Result Codes

2. Data Card Control Commands

ATI 	Identification

ATS 	Select an S-register

ATZ 	Recall Stored Profile

AT&F 	Restore Factory Settings

AT&V 	View Active Configuration

AT&W 	Store Parameters in Given Profile

AT&Y 	Select Set as s Powerup Option

AT+CLCK 	Facility Lock Command

AT+COLP 	Connected Line Identification Presentation

AT+GCAP 	Request Complete Capabilities List

AT+GMI 	Request Manufacturer Identification

AT+GMM 	Request Model Identification

AT+GMR 	Request Revision Identification

AT+GSN 	Request Product Serial Number Identification

3. Phone Control Commands

AT+CBC 	Battery Charge

AT+CGMI 	Request Manufacturer Identification

AT+CGMM 	Request Model Identification

AT+CGMR 	Request Revision Identification

AT+CGSN   	Request Product Serial Number Identification

AT+CMEE 	Report Mobile Equipment Error

AT+CPAS 	Phone Activity Status

AT+CPBF	Find Phone Book Entries

AT+CPBR 	Read Phone Book Entry

AT+CPBS 	Select Phone Book Memory Storage

AT+CPBW 	Write Phone Book Entry

AT+CSCS 	Select TE Character Set

AT+CSQ 	Signal Quality

4. Computer Data Card Interface Commands

ATE 	Command Echo

ATQ 	Result Code Suppression

ATV 	Define Response Format

ATX 	Response Range Selection

AT&C 	Define DCD Usage

AT&D 	Define DTR Usage

AT&K  	Select Flow Control

AT&Q  	Define Communications Mode Option

AT&S 	Define DSR Option

AT+ICF 	DTE-DCE Character Framing

AT+IFC 	DTE-DCE Local Flow Control

AT+IPR 	Fixed DTE Rate

5. Reporting Options Commands

AT+CLIP 	Calling Line Identification Presentation

AT+CR 	Service Reporting Control

AT+DR 	Data Compression Reporting

AT+ILRR 	DTE-DCE Local Rate Reporting

6. Network Communication Parameter Commands

ATB   	Communications Standard Option

AT+CBST 	Select Bearer Service Type

AT+CEER 	Extended Error Report

AT+CRLP 	Radio Link Protocol

AT+DS 	Data Compression

7. Miscellaneous Commands

A/ 	Re-Execute Command Line

AT? 	Command Help

AT*C 	Start SMS Interpreter

AT*T 	Enter SMS Block Mode Protocol

AT*V 	Activate V.25bis Mode

AT*NOKIATEST Test Command

AT+CESP  	Enter SMS Block Mode Protocol

8. SMS Commands

SMS Text Mode

AT+CSMS 	Select Message Service

AT+CPMS 	Preferred Message Storage

AT+CMGF 	Message Format

AT+CSCA  	Service Centre Address

AT+CSMP 	Set Text Mode Parameters

AT+CSDH  	Show Text Mode Parameters

AT+CSCB 	Select Cell Broadcast Message Types

AT+CSAS 	Save Settings

AT+CRES 	Restore Settings

AT+CNMI  	New Message Indications to TE

AT+CMGL 	List Messages

AT+CMGR 	Read Message

AT+CMGS 	Send Message

AT+CMSS 	Send Message from Storage

AT+CMGW 	Write Message to Memory

AT+CMGD 	Delete Message

SMS PDU Mode

AT+CMGL 	List Messages

AT+CMGR 	Read Message

AT+CMGS 	Send Message

AT+CMGW 	Write Message to Memory


1. Call Control

ATA	Answer Command

Syntax: ATA

This command is used to answer an incoming call (indicated by the RING message on the terminal equipment or by the number 2 if numeric mode has been selected.) See the responses to this command under the section Responses in AT Command Mode.

ATD	Dial Command

Syntax: ATD[<dial_string>[;]]

This command is used to initiate a call. When a call is initiated, the command must contain the called partys number or a directory entry which contains the stored number. The ATD command can also be used for sending DTMF tones (only supported by Nokia 8110 or compatible phones). A semicolon character shall be added when a voice call is originated (only supported by Nokia 8110 or compatible phones).

ATD[<dial_string>[;]]

Dials the number in a dial_string.

ATD> TA<n>[;]

Dials a stored number from a data card memory location <n>, (<n> is 0...99).

ATD> ME<n>[;]

Dials a stored number from a phone memory location <n>. (Range of <n> varies with the phone model).

ATD> SIM<n>[;]

Dials a stored number from a SIM card location <n>. (Range of <n> varies with the SIM card in use).

ATD> <n>[;]

Dials a stored number from a data card memory location <n>, (<n> is 0...99).

ATD[;]

Dials a stored number from a data card memory location 0.

ATDL

Redials the last number that has been dialled during the current session.

The following special characters in dial_string are valid (dial modifiers):

+

Automatically adds the international dialling code before the number. Place this modifier before the dialling string.

,

A pause in dialling. The duration of the pause is specified by the S-register number 8. In the voice call mode, numbers after the modifier are sent as DTMF tones.

T, P, !, W

These dial modifiers have no effect. They have been included for compatibility reasons.

Examples:

•	ATD+3583123456

Make an international data call to the number 3583123456. The data card automatically adds the international access code.

•	ATD> ME2

Make a data call to the number stored in the phones memory location 2.

•	ATD> <string>

Dial a number assigned to <string>.

See the responses to the ATD command under the section Responses in AT Command Mode.

ATH 	Hang Up Call

Syntax: ATH[<n>]

This command hangs up the call.

ATH[0]	Hang up the call

ATL 	Monitor Speaker Loudness

Syntax: ATL[<n>]

This command is included in the command set for compatibility reasons and has no effect on the data card.

ATL[0/1/2/3]	No effect.

ATM 	Monitor Speaker Mode

Syntax: ATM[<n>]

This command is included in the command set for compatibility reasons and has no effect on the data card.

ATM[0/1/2]	No effect.

ATO 	Go On-Line

Syntax: ATO[<n>]

This command is used when you have made a connection with the remote device and have escaped (with the +++ command) to the command mode. Give the command to return from the (on-line) command mode to normal on-line operation. See the responses to this command under the section Responses in AT Command Mode.

ATO[0]	Go on-line

ATP  	Set Pulse Dial as Default

Syntax: ATP

This command has no effect on the data card. It is included here for compatibility reasons.

ATT 	Set Tone Dial as Default

Syntax: ATT

This command has no effect on the data card. It is included here for compatibility reasons.

AT+CSTA  Select Type of Address

Syntax: AT+CSTA=[<type>]

This command selects the type of number for further dialling commands (D) according to GSM specifications. Test command returns values supported by the TA as a compound value.

AT+CSTA?	+CSTA: <type>

AT+CSTA=?	+CSTA: (list of supported <type>'s)

<type>:

Type of address octet in an integer format; the default is 145 when the dialling string includes the international access code character "+", otherwise 129.

AT+CRC  Cellular Result Codes

Syntax: AT+CRC[<n>]

This command controls whether or not the extended format incoming call indication is used. When enabled, an incoming call is indicated to the DTE with the result code +CRING: <type> instead of the normal RING.

AT+CRC=0	Disable extended format call indication.

AT+CRC=1	Enable extended format call indication.


2. Data Card Control Commands

ATI 	Identification

Syntax: ATI[<n>]

The command displays information about the data card.

ATI0

Displays the (ID) number stored in S-register S39 in decimal format.

ATI1

Displays the serial number of the data card.

ATI2/ATI3

Displays the revision of the data card.

ATI9

Displays the Plug and Play COM device field.

ATS 	Select An S-register

Syntax:

1) ATS [<register_number>]?

Displays the value of the S-register

2) ATS[<register_number>]=<value>

Assigns the <value> to the S-register

This command manipulates the S-registers of the data card. The S-registers contain various user alterable parameters. See the section S-registers below, for information on the contents of the registers. If the S-register number is omitted, the operation will affect register number 0, i.e., ATS is the same as ATS0. If the <value> is omitted or is incorrect, the ERROR result code will be displayed.

ATZ 	Recall stored profile

Syntax: ATZ[<n>]

The command restores the parameter values of one of the user sets by recalling the respective S-register settings from the memory. See the previous command for storing the user profiles.

ATZ[0]

Recall stored profile 0.

ATZ1

Recall stored profile 1.

AT&F 	Restore Factory Settings

Syntax: AT&F

The command restores all the factory settings including all the S-register settings but does not save them.

AT&V 	View Active Configuration

Syntax: AT&V

This command displays the current values of the S-registers.

AT&W 	Store Parameters In Given Profile

Syntax: AT&W[<n>]

This command stores the current S-register settings in one of two user profiles. There are two user profiles available.

AT&W[0]

Store settings in user profile 0.

AT&W1

Store settings in user profile 1.

AT&Y 	Select Set As A Powerup Option

Syntax: AT&Y[<n>]

Defines which user profile (0 or 1) the parameters are loaded from when the data card is activated.

AT&Y[0]

Parameters loaded from set 0.

AT&Y1

Parameters loaded from set 1.

AT+CLCK Facility Lock Command

Syntax: AT+CLCK=<fac>, <mode>

This command is used to bar all incoming calls from numbers not stored to the data carrd phone book. If an incoming call number is not available, the call will not be answered. This command is supported only by Nokia 8110 and compatible phones.

AT+CLCK=<fac>,<mode>

(No response).

AT+CLCK=<fac>,2

+CLCK: <status>

AT+CLCK=?

+CLCK: ("NT")

<status>

0	unactive

1	active

<fac>

"NT"	Bar all incoming calls from numbers not stored in the data card phone book.

<mode>

0	unlock

1	lock

2	query status

AT+COLP 	Connected Line Identification Presentation

Syntax: AT+COLP=[<n>]

This feature is not supported by some phone types.This command refers to the GSM supplementary service COLP (Connected Line Identification Presentation) that enables a calling subscriber to obtain the connected line identity (COL) of the called party after setting up a mobile originated call. The command enables or disables the presentation of the COL at the TE.

+COLP:<number>,<type>[,<subaddr>,<satype>[,<alpha>]]

intermediate result code is returned from data card to TE before any +CR or V.25ter responses. Refer to AT+CLIP under Reporting Options Commands for descriptions of the response parameters.

AT+GCAP Request Complete Capabilities List

Syntax: AT+GCAP

This command causes the data card to display information intended to permit the user to identify the overall capabilities of the data card.

AT+GCAP

+GCAP: +CGSM, +FCLASS, +DS

Cellullar commands, Facsimile, Data compression.

AT+GMI 	Request Manufacturer Identification

Syntax: AT+GMI

This command displays the data card manufacturer information.

AT+GMM 	Request Model Identification

Syntax: AT+GMM

This command displays the data card model identification.

AT+GMR 	Request Revision Identification

Syntax: AT+GMR

This command displays the data card revision identification.

AT+GSN 	Request Product Serial Number Identification

Syntax: AT+GSN

This command displays the data card serial number.


3. Phone Control Commands

AT+CBC Battery Charge

Syntax: AT+CBC

This command returns the battery connection status <bcs> and battery charge level <bcl> of the mobile phone. This command is supported only by Nokia 8110 and compatible phones.

AT+CBC

+CBC: <bcs>, <bcl>

AT+CBC=?

+CBC: (list of supported <bcs>'s),(list of supported <bcl>'s)

<bcs>

0	phone is powered by the battery

<bcl>

0	battery is exhausted, or phone does not have a battery connected

1..100	battery has 1-100 percent of capacity remaining

AT+CGMI Request Manufacturer Identification

Syntax: AT+CGMI

This command displays phone manufacturer information. This command is supported only by Nokia 8110 and compatible phones.

AT+CGMM Request Model Identification

Syntax: AT+CGMM

This command displays the phone model identification. This command is supported only by Nokia 8110 and compatible phones.

AT+CGMM	<model>

AT+CGMR Request Revision Identification

Syntax: AT+CGMR

This command displays the phone revision identification. This command is supported only by Nokia 8110 and compatible phones.

AT+CGMR	<revision>

AT+CGSN   Request Product Serial Number Identification

Syntax: AT+CGSN

This command causes the phone to display its serial number. This is serial code of the phone. This command is supported only by Nokia 8110 and compatible phones.

AT+CGSN	IMEI

+CME ERROR: <err>

AT+CMEE Report Mobile Equipment Error

Syntax: AT+CMEE=[<n>]

Set command disables or enables the use of the result code +CME ERROR: <err> as an indication of an error relating to the functionality of the ME. When enabled, ME related errors cause the +CME ERROR: <err> final result code instead of the regular ERROR final result code. ERROR is returned normally when the error is related to syntax, invalid parameters, or TA functionality. Test command returns values supported by the TA as a compound value.

AT+CMEE=[<n>]

(No response)

AT+CMEE?

+CMEE: <n>

AT+CMEE=?

+CMEE: (list of supported <n>'s)

<n>:

0

disable the +CME ERROR: <err> result code and use ERROR instead

1

enable the +CME ERROR: <err>  result code and use numeric values.

2

enable the +CME ERROR: <err> result code and use verbose values.

AT+CPAS Phone Activity Status

Syntax: AT+CPAS

Execution command returns the activity status <pas> of the ME. It can be used to interrogate the ME before requesting action from the phone. Test command returns values supported by the ME as a compound value. This command is supported only by Nokia 8110 and compatible phones.

AT+CPAS

+CPAS: <pas>

AT+CPAS=?

+CPAS: (list of supported <pas>'s)

0

ready (ME allows commands from the data card/TE)

1

unavailable (ME does not allow commands from the data card/TE)

3

ringing (ME is ready for commands from the data card/TE, an incoming call is waiting to be answered)

4

call in progress (ME is ready for commands from the data card/TE, but a call is in progress)

AT+CPBF Find Phone Book Entries

Syntax: AT+CPBF="<findtext>"

This command returns phone book entries (from the current phone book memory storage selected with +CPBS) where the alphanumeric field starts with the string <findtext>. Entry fields returned are location number <indexn>, phone number stored there <number> (in the format selected with +CPBS) and text <text> associated with the number. With some phone types, this command can only be used to find Phone Book Entries stored in the data card memory. Test command returns the maximum lengths of <number> and <text> fields.

AT+CPBF=<findtext>

+CPBF:<index1>,<number>,<type>,<text>[[,...]

<CR><LF>+CPBF:<index2>,<number>,<type>,<text>]

AT+CPBF=?

+CPBF: <nlength>,<tlength>

<index1>,<index2>:

Integer type values in the range of the phone book memorys location numbers

<number>:

String type phone number of format <type>

<type>:

Type of number in integer format; the default is 145 when the dialling string includes the international access code character "+", otherwise 129

<text>:

String type field of the maximum length <tlength>

<nlength>:

Integer type value indicating the maximum length of the field <number>

<tlength>:

Integer type value indicating the maximum length of the field <text>

AT+CPBR Read Phone Book Entry

Syntax: AT+CPBR=<index1>[,<index2>]

This command returns phone book entries in a location number range <index1>...<index2> from the current phone book memory storage selected with the +CPBS command. If <index2> is left out, only the location <index1> is returned. Information returned is location number (index) and phone number and text assigned to the number stored there.

With some phone types, this command does not retrieve the type and texts stored in the phone memory.

AT+CPBR=<index1>[,<index2>]

Read phone book entry

+CPBR: <index1>, <number>, <type>, <text>

[+CPBR: <index2>, <number>, <type>, <text>]

AT+CPBR=?

Test Command.

+CPBR: (list of supported <index>s), <nlength>, <tlength>

<index>:

Location numbers in the phone book memory

<number>:

String type phone number

<type>:

Type of number in integer format, the default is 145 when the dialling string includes the international access code character +, otherwise 129. This field is not shown by all phone types.

<text>:

String type field of a maximum length of <number>. This field is not shown by all phone types.

<nlength>:

Integer type value indicating the maximum length of <number>

<tlength>:

Integer type value indicating the maximum length of the field <text>

Examples

•	AT+CPBS="ME"

Select active phone book memory to be the phone's memory.

•	AT+CPBR=20,22

Read phone's memory locations 20 to 22.

AT+CPBS Select Phone Book Memory Storage

Syntax:AT+CPBS=<storage>

This command selects phone book memory storage, which is used by the phone book write commands. See +CPBW command. This command also affects the commands +CPBF and ATD>"namestring" by setting the search to start from the memory storage selected by this command.

AT+CPBS=<storage>

Select phone book memory storage.

AT+CPBS?

Query current setting.

+CPBS:<storage>

AT+CPBS

Test Command.

+CPBS: ("ME","SM","TA")

Valid <storage> values are:

"ME"	ME's phone book

"SM"	SIM's phone book

"TA"	TA's (data card) phone book

AT+CPBW Write Phone Book Entry

Syntax: AT+CPBW=[<index> ][,<number>[,<type>[,<text>]]]

This command writes a phone book entry in a location number <index> in the current phone book memory storage selected with the AT+CPBS command. If <number>, <type>, and <text> fields are omitted, the phone book entry is deleted. If <index> is left out, but <number> is given, the entry is written in the first free location.

AT+CPBW=?

Test Command.

+CPBW: (list of supported <index>'s), <nlength>, (list of supported <type>'s), <tlength>.

<index>:

Integer type values in the range of a phone book memorys location numbers

<number>:

String type phone number.

<type>:

Type of number in integer format; the default is 145 when the dialling string includes the international access code character "+", otherwise 129.

<text>:

String type field of a maximum <tlength>. Some phone types do not support this parameter.

<nlength>:

Integer type value indicating the maximum length of <number>.

<tlength>:

Integer type value indicating the maximum length of the field <text>.

Examples

•	AT+CPBS="ME"

Select active phone book memory to be the phone's memory.

•	AT+CPBW=24,"931285111",,"Mr Smith"

Store number 931285111 in the phone's memory location 24 with the name Mr Smith.

AT+CSCS Select TE Character Set

Syntax: AT+CSCS=[<chset>]

This command informs the data card of which character set is used by the TE. The data card is then able to convert character strings correctly between TE and ME character sets. When the data card-TE interface is set to 8-bit operation and the TE alphabet used is 7-bit, the highest bit shall be set to zero. This setting affects text mode SMS data and alpha fields in the phone book memory.

AT+CSCS=[<chset>]

(No response)

AT+CSCS?

+CSCS: <chset>

AT+CSCS=?

+CSCS: (list of supported <chset>'s)

<chset>:

"GSM"

GSM default alphabet (GSM 03.38 subclause 6.2.1); this setting easily causes software flow control (XON/XOFF) problems.

"HEX"

character strings consist only of hexadecimal numbers from 00 to FF; e.g., 032FE6" equals three characters with the decimal values 3, 47 and 230.

If ME is using the GSM default alphabet, its characters shall be padded with the 8th bit (zero) before converting them to hexadecimal numbers (i.e., no SMS-style packing of a 7-bit alphabet).

"IRA"

international reference alphabet (ITU-T T.50 [13])

"PCCP437"

PC character set Code Page 437

"PCDN"

PC Danish/Norwegian character set

"8859-1"

ISO 8859 Latin 1 character set

AT+CSQ Signal Quality

Syntax: AT+CSQ

This command returns the received signal strength indication <rssi> and channel bit error rate <ber> from the ME.

AT+CSQ

+CSQ: <rssi>, <ber>

AT+CSQ=?

+CSQ: (list of supported <rssi>'s), (list of supported <ber>'s)

<rssi>:

0	-113 dBm or less

1	-111 dBm

2..30	-109...-53 dBm

31	-51 dBm or greater

99	not known or not detectable

<ber> (in percentages):

99	not known or not detectable


4. Computer Data Card Interface Commands

ATE 	Command Echo

Syntax: ATE[<n>]

This command determines whether or not characters that are received from the TE are echoed in the command mode.

ATE[0]	Echoing disabled

ATE1	Echoing enabled

ATQ 	Result Code Suppression

Syntax: ATQ [<n>]

This command determines whether or not responses are sent to the computer screen.

ATQ[0]	Responses are sent to the computer.

ATQ1	Responses are not sent to the computer.

ATV 	Define Response Format

Syntax: ATV [<n>]

This command determines whether result codes are transmitted in a numeric form or an alphabetic (or verbose) form.

ATV[0]	Numeric (short form) responses are sent to the computer.

ATV1	Textual (long) responses are sent to the computer.

ATX 	Response Range Selection

Syntax: ATX [<n>]

This command selectively enables or disables the response codes sent to the computer

ATX[0]	response codes 0... 4 enabled

ATX1	response codes 0... 5, 10 enabled

ATX2	response codes 0... 5, 10 enabled

ATX3	response codes 0... 5, 7, 10 enabled

ATX4	response codes 0... 5, 7, 8, 10 enabled

ATX5	all response codes are enabled

AT&C 	Define DCD Usage

Syntax: AT&C [<n>]

This command determines how the state of the DCD V.24 signal relates to the detection on received line signal from the distant end.

AT&C[0]	Data card always keeps DCD ON.

ATV&C1	Normal DCD usage.

AT&D 	Define DTR Usage

Syntax: AT&D [<n>]

This command defines how the DTR V.24 signal from the terminal is handled.

AT&D[0]

DTR is ignored if AT&Q0 is selected. DTR ON-OFF hangs up the phone if AT&Q2 is selected.

AT&D1

DTR ON-OFF causes a transition to  the on-line command state.

AT&D2

DTR ON-OFF hangs up the phone.

AT&D3

DTR ON-OFF hangs up the phone and resets the data parameters to the start-up values.

AT&K  	Select Flow Control

Syntax: AT&K [<n>]

This command selects the local flow control mode. Using this command is not recommended, instead use the AT+IFC command described below.

AT&K[0]	No flow control.

AT&K3	Hardware flow control (CTS/RTS).

AT&K4	Software flow control (XON/XOFF).

AT&Q  	Define Communications Mode Option

Syntax: AT&Q [<n>]

This command defines the dialling and on-line options of the terminal.

AT&Q[0]

Normal asynchronous operation.

AT&Q2

DTR controlled dial. DTR OFF to ON causes a call to be made to the number stored in the dial slot zero. DTR ON to OFF hangs up the phone.

AT&S 	Define DSR Option

Syntax: AT&S [<n>]

This command defines how the DSR V.24 signal is handled.

AT&S[0]	DSR is always ON.

AT&S1	Normal DSR usage.

AT+ICF  DTE-DCE Character Framing

Syntax: AT+ICF=[<format>[,<parity>]]

This command is used to determine the character framing that the data card shall use while accepting commands and while transmitting information text and a result code to/from a terminal. Default setting is automatic detection.

AT+ICF=[<format>[,<parity>]]

Set character framing.

AT+ICF?

Query current setting.

+ICF:<format>,<parity>

AT+ICF=?

Test command. Show valid range of parameters.

+ICF:(0-6),(0-3)

Valid values:

<format>:

0	Auto detect

1	8 data, no parity, 2 stop

2	8 data, parity, 1 stop

3	8 data, no parity, 1 stop

4	7 data, no parity, 2 stop

5	7 data, parity, 1 stop

6	7 data, no parity, 1 stop

<parity>:

0	odd

1	even

2	mark

3	space

AT+IFC  DTE-DCE Local Flow Control

Syntax: AT+IFC=<DCE_by_DTE>, <DTE_by_DCE>

This command is used to control the operation of local flow control between the computer and the data card.

AT+IFC=<DCE_by_DTE>,<DTE_by_DCE>

Set flow control.

AT+IFC?

Query current setting.

+IFC:<DCE_by_DTE><DTE_by_DCE>

AT+IFC=?

Test command. Show valid range of parameters.

+IFC:(0-3),(0-2)

<DCE_by_DTE> specifies the flow control used by a computer to control the flow of received data from the data card.

Valid values:

0	No flow control.

1	Set XON/XOFF (software) flow control.

2	Set CTS/RTS flow control (hardware).

3	Set both XON/XOFF and CTS/RTS flow control.

<DTE_by_DCE> specifies the flow control used by a data card to control the flow of transmitted data from the computer.

Valid values:

0	No flow control.

1	Set XON/XOFF (software) flow control.

2	Set CTS/RTS flow control (hardware).

AT+IPR  Fixed DTE Rate

Syntax: AT+IPR=<rate>

This command specifies the data rate at which the data card will accept commands. Default setting is automatic detection, autobauding.

AT+IPR=<rate>

Set DTE rate.

AT+IPR?

Query current setting.

+IPR:<rate>

AT+IPR=?

Test command. Show valid range of parameters.

+IPR:(0,300,1200,2400,4800,9600,19200,38400,57600,115200)

<rate>:

0	automatic rate detection, autobauding

300, 1200,

2400, 4800,

600, 19200,

38400, 57600,

115200


5. Reporting Options Commands

AT+CLIP  Calling Line Identification Presentation

Syntax: AT+CLIP= [<n>]

This feature is not supported by some phone types. This command refers to the GSM supplementary service CLIP (Calling Line Identification Presentation) that enables a called subscriber to obtain the calling line identity (CLI) of the calling party when receiving a mobile terminated call. With this command, the user can enable or disable the presentation of the CLI on the TE. It has no effect on the execution of the supplementary service CLIP in the network.

+CLIP:<number>,<type>[,<subaddr>,<satype>[,<alpha>]] response is returned after every RING (or +CRING: <type>.

AT+CLIP= [<n>]

(No response)

AT+CLIP?

+CLIP: <n>,<m>

AT+CLIP=?

+CLIP: (list of supported <n>'s)

<n>:

(parameter sets/shows the result code presentation status in the data card):

0	disable

1	enable

<m>:

(parameter shows the subscriber CLIP service status in the network):

2	unknown (e.g,. no network, etc.)

When the presentation of CLIP on TE is enabled (and calling subscriber permits), the +CLIP:<number>,<type>[,<subaddr>,<satype>[,<alpha>]] response is returned after every RING result code sent from data card to TE (or +CRING: <type>).

<number>:

Phone number

<type>:

Type of number in integer format; default is 145 when dialling string includes international access code character "+", otherwise 129.

<alpha>:

Optional string type alphanumeric representation of a <number> corresponding to the entry found in a phone book; used character set of the data card memory.

AT+CR   Service Reporting Control

Syntax: AT+CR=[<mode>]

This command controls whether or not intermediate result code +CR:<serv>is returned from the data card to the computer. If enabled, the intermediate result code is transmitted at the point during the connect negotiation during which the data card has determined the speed and quality of service to be used, before any error control or data compression reports are transmitted, and before any final result code (e.g., CONNECT) is transmitted.

AT+CR=[<mode>]

OK / ERROR

AT+CR?

+CR: <mode>

AT+CR=?

+CR: (0-1)

<mode>:

0	disables reporting

1	enables reporting

<serv>:

ASYNC	asynchronous transparent

REL ASYNC	asynchronous non-transparent

AT+DR 	Data Compression Reporting

Syntax: AT+DR=<value>

This command controls whether or not the extended-format "+DR:" intermediate result code is transmitted from the data card to the computer. The +DR: report returns the current data compression type (negotiated or renegotiated). If enabled, the intermediate result code is transmitted at the point after error control negotiation (handshaking) during which the DCE has determined the data compression technique to be used (if any) and the direction of operation.

AT+DR?

Read Syntax.

Returns the current settings.

AT+DR=?

Test Syntax.

Returns the current settings.

The format of this result code is:

<value>:

0

Data compression reporting disabled (no +DR result code transmitted)

1

Data compression reporting enabled (+DR result code transmitted)

Data Compression Reporting Intermediate Result Codes

+DR: NONE

Data compression is not in use

+DR: V42B

V.42bis is in use in both directions

+DR: V42B RD

V.42bis is in use in receive direction only

+DR: V42B TD

V.42 bis is in use in transmit direction only

The +DR intermediate result code, if enabled, is issued after the Error Control Report (+ER) and before the final result code (e.g., CONNECT).

AT+ILRR 	DTE-DCE Local Rate Reporting

Syntax: AT+ILRR= [<n>]

This command controls whether or not the extended-format "+ILRR:<rate>" information text is transmitted from the DCE to the DTE. If enabled, the intermediate result code is transmitted after any modulation, error control or data compression reports are transmitted, and before any final result code (e.g., CONNECT) is transmitted. The <rate> is applied after the final result code is transmitted.

AT+ILRR=0

Disables reporting of local port rate

(+ILPR: is not transmitted)

AT+ILRR=1

Enables reporting of local port rate

(+ILPR: is transmitted), A and D commands only.

AT+ILRR?

Query current setting.

+ILRR:<current setting>

AT+ILRR=?

Test command.

+ILRR:(0,1)


6. Network Communication Parameter Commands

ATB   Communications Standard Option

Syntax: ATB [<n>]

This command has no effect on the data card, however, it is included for compatibility reasons. The value for must be 0, 1 or absent.

AT+CBST Select Bearer Service Type

Syntax: AT+CBST=[<speed>[,<name>[,<ce>]]]

This command selects the bearer service <name> with data rate <speed>, and the connection element <ce> to be used when data calls are originated.

AT+CBST=[<speed>[,<name>[,<ce>]]]

OK / ERROR

AT+CBST?

+CBST: <speed> [, <name>, <ce>]

AT+CBST=?

+CBST: (list of supported <speed>'s),

(list of supported <name>'s),(list of supported <ce>'s)

<speed>:

0	autobauding (automatic selection of speed)

1	300 bps (V.21)

2	1200 bps (V.22)

3	1200/75 bps (V.23)

4	2400 bps (V.22bis)

5	2400 bps (V.26ter)

6	4800 bps (V.32)

7	9600 bps (V.32)

8	unknown or network specific (no speed specification needed)

9	7200 bps (V.32bis)

10	12000 bps (V.32bis)

11	14400 bps (V.32bis)

12	9600 bps (V.34)

13	12000 bps (V.34)

14	14400 bps (V.34)

15	19200 bps (V.34)

16	28800 bps (V.34)

65	300 bps (V.110)

66	1200 bps (V.110)

68	2400 bps (V.110)

70	4800 bps (V.110)

71	9600 bps (V.110)

74	12000 bps (V.110)

75	14400 bps (V.110)

79	19200 bps (V.110)

81	38400 bps (V.110)

<name>:

0	asynchronous modem

2	PAD Access (asynchronous)

<ce>:

1	non-transparent

AT+CEER Extended Error Report

Syntax: AT+CEER

The execution command causes the data card to return one or more lines of information text <report>, which should offer the user of the data card an extended report of the reason for the failure in the last unsuccessful call setup (originating or answering). Typically, the text will consist of a single line containing the failure information given by the GSM network in a textual format.

AT+CEER

+CEER:<report>

AT+CEER=?

(No response)

AT+CRLP Radio Link Protocol

Syntax: AT+CRLP=[<iws>[,<mws>[,<T1>[, <N2>]]]]

This command selects the Radio Link Protocol parameters.

AT+CRLP=[<iws>[,<mws>[,<T1>[, <N2>]]]]

OK / ERROR

AT+CRLP?

+CRLP: <iws><W0>, <mws>, <T1>, <N2>

AT+CRLP=?

+CRLP: (0-61),(0-61),(39-255),(1-255)

<iws>:

IWF to MS window size (default 61)

<mws>:

MS to IWF window size (default 61)

<T1>:

Acknowledgement timer T1 (default 48)

<N2>:

Retransmission attempts N2 (default 6)

AT+DS 	Data Compression

Syntax: AT+DS=[<direction>[,<compression_negotiation>[,<max_dict>[,<max_string>]]]]

This command controls the V.42 bis data compression function. It accepts four numeric subparameters:

<direction>,

which specifies the desired direction(s) of operation of the data compression function; from the computer point of view.

<compression_negotiation>,

which specifies whether or not the data card should continue to operate if the desired result is not obtained.

<max_dict>,

which specifies the maximum number of dictionary entries which should be negotiated.

<max_string>,

which specifies the maximum string length to be negotiated (V.42bis P2).

<direction>:

0	Negotiated .. no compression (V.42bis P0=0)

1	transmit only

2	receive only

3	both directions, accept any direction (V.42bis P0=11)

<compression_negotiation>:

0

do not disconnect if V.42bis is not negotiated by the remote DCE as specified in <direction>

1

disconnect if V.42bis is not negotiated by the remote DCE as specified in <direction>

<max_dict>:

512 to 2048

<max_string>:

6 to 32. The default value is 20.

AT+DS?

Read Syntax.

Returns the current settings.

AT+DS=?

Test Syntax

Returns supported parameters.


7. Miscellaneous Commands

A/ 	Re-Execute Command Line

Syntax: AT/

Re-executes the command preceding this request. If this was the first request, then an OK status will be returned.

AT? 	Command Help

Syntax: AT?

Returns a list of available AT commands and Help in English. This command must be alone on the command line.

AT*C 	Start SMS Interpreter

Syntax: AT*C

This command activates the Short Message Service Interpreter.

The following commands are available in the SMS Interpreter:

SEND TO (TEL.NO):

Type in the phone number of the recipient and press <ENTER>. Type in the short message. Press <CTRL>Z to send or <CTRL>E to quit.

STORE, STORE/ME, STORE/SIM

Type in the short message. Press <CTRL>Z to store or <CTRL>E to quit. The short message is stored either in the SIM card memory or in the phone memory, or in the active memory, if no parameter is given.

DIR, DIR/ME, DIR/SIM, DIR/NEW

A short message stored in the phone's active memory is displayed. DIR/ME selects the phone memory and DIR/SIM the SIM card memory, while DIR/NEW selects the unread messages. After having displayed a message you have the following options:

P - display previous message (not available with DIR/NEW)

N - display the next short message

D - delete the message displayed

Q - return to the main level of the SMS facility

SHOW

Current SMS transmission parameters are displayed.

SAVE

Current SMS transmission parameters are saved in the memory of the phone.

HELP

A short list of available SMS commands is given.

EXIT

Exit the SMS Interpreter and return to the main level of the communication application.

Additional SMS Commands

SCA=phone number

The command changes the service centre (message centre) phone number through which your short messages are transmitted.

VALIDITY=n, VALIDITY=NONE

Defines the length of time that sent short messages await delivery at the Service Centre, if the receiver is unaccessible. The value of n has the following effect:

n	Formula for Validity Period

0..........143	(n + 1) x 5 min

144......167	12 hours + (n-143) x 30 min

168......196	(n -166) x 24 hours

197......255	(n -192) x 1 week

NOTE: If VALIDITY=NONE, the waiting time will be determined by the network.

REPLY_PATH=ON, REPLY_PATH=OFF

When the reply path is set to on, it allows the receiver to reply to the message via the same service centre.

CONFIRMATION=ON, CONFIRMATION=OFF

Sets the confirmation of message delivery to on or off. (SMS DELIVERED TO DESTINATION).

DATA_BITS=7, DATA_BITS=8

Sets the number of data bits used in a short message transmission.NOTE: DATA_BITS=8 can only be used when CLASS*DEFAULT.

CLASS=DEFAULT ,CLASS=0, CLASS=1, CLASS=2, CLASS=3

Default: sets the data coding scheme to a value according to Phase 1 Specifications. The number of data bits is set to 7.

0: message of this class should be displayed immediately by the receiver as it is not stored automatically.

1 : message should be stored in the phone memory of the receiver.

2 : message should be stored in the SIM card memory.

3 : message should be forwarded to a data terminal connected to the phone (computer)

PROTOCOL=DEFAULTPROTOCOL=TELEX, PROTOCOL=FAX_G3

PROTOCOL=FAX_G4, PROTOCOL=VOICE

PROTOCOL=ERMES, PROTOCOL=TELETEXPROTOCOL=UCI

PROTOCOL=X.400, PROTOCOL=TYPE0, PROTOCOL=TYPE1

PROTOCOL=TYPE2, PROTOCOL=TYPE3

PROTOCOL=TYPE4, PROTOCOL=TYPE5

PROTOCOL=TYPE6, PROTOCOL=TYPE7

Selects the protocol supported by the recipient of the short message. The Service Centre of the network provides the conversion of the actual message. The remote party must be connected to an appropriate terminal device through an interface, except when sending short messages, which may be displayed directly on the cellular phone display.

AT*T 	Enter SMS Block Mode Protocol

Syntax: AT*T

Sets the data card in the SMS block protocol mode. The final result code OK (or 0) shall not be returned until block mode is exited. Either the response OK or ERROR is returned.

AT*V 	Activate V.25bis Mode

Syntax: AT*V

This command activates the CCITT V.25bis Command Mode.

AT*NOKIATEST Test Command

Syntax: AT*NOKIATEST

This command can be used to test that the data card communicates with the phone. Either the response OK or ERROR is returned.

AT+CESP  Enter SMS Block Mode Protocol

Syntax: AT+CESP

Sets the data card in the SMS block protocol mode. The final result code OK (or 0) shall not be returned until block mode is exited.

AT+CESP

(No response)

AT+CESP=?

(No response)


8. SMS Commands

SMS Text Mode

AT+CSMS Select Message Service

Syntax: AT+CSMS=<service>

Selects the messaging service <service>. It returns the types of messages supported by the ME.

AT+CSMS?

+CSMS: <mt,mo,bm>

AT+CSMS=?

+CSMS: (list of <service>'s supported by the data card).

<service>:

0	GSM 03.40 and 03.41

<mt>, <mo>, <bm>:

0 	type not supported

1	type supported

<mt>: mobile terminated messages

<mo>: mobile originated messages

<bm>: broadcast type messages

AT+CPMS Preferred Message Storage

Syntax: AT+CPMS=[<mem1>[,<mem2>[,<mem3>]]]

Selects memory storages <mem1>, <mem2>, and <mem3> to be used for reading, writing, etc.

AT+CPMS=<mem1>[,<mem2>[,<mem3>]]

+CPMS: <used1>, <total1>, <used2>, <total2>, <used3>, <total3>

AT+CPMS?

+CPMS: <mem1>, <used1>, <total1>, <mem2>, <used2>, <total2>, <mem3>, <used3>, <total3>

AT+CPMS=?

+CPMS: (list of supported <mem1>'s), (list of supported <mem2>'s), (list of supported <mem3>'s)

<mem1>: Memory from which messages are read and deleted.

"ME"	ME message storage

"SM"	SIM message storage

<mem2>: Memory in which writing and sending operations are executed.

"ME"	ME message storage

"SM"	SIM message storage

<mem3>: Memory in which received SMS messages are preferably to be stored.

"MT"	Any of the storages associated with the ME.

AT+CMGF Message Format

Syntax: AT+CMGF=[<mode>]

Tells the data card, which input and output format of messages to use. <mode> indicates the format of messages used with send, list, read and write commands.

AT+CMGF=[<mode>]

(No response)

AT+CMGF?

+CMGF: <mode>

AT+CMGF=?

+CMGF: (list of supported <mode>'s)

<mode>:

0	PDU mode

1	text mode

AT+CSCA  Service Centre Address

Syntax: AT+CSCA=<sca>[,<tosca>]

Updates the SMSC address, through which mobile originated SMS messages are transmitted. Used both in the PDU and text mode.

AT+CSCA=<sca>[,<tosca>]

(No response)

AT+CSCA?

+CSCA: <sca>, <tosca>

AT+CSCA=?

(No response)

<sca>:

RP SC address Address-Value field in string format.

<tosca>:

RP SC address Type-of-Address octet in integer format (default refer <toda>).

AT+CSMP Set Text Mode Parameters

Syntax: AT+CSMP=[<fo>[,<vp>[,<pid>[,<dcs>]]]]

Used to select values for additional parameters needed when SMS messages are sent to the network, or placed in a storage when the text format message mode is selected.

AT+CSMP=[<fo>[,<vp>[,<pid>[,<dcs>]]]

(No response)

AT+CSMP?

+CSMP: <fo>,<vp>,<pid>,<dcs>

AT+CSMP=?

(No response)

<fo>:

Depending on the command or result code: first octet of SMS-DELIVER, SMS-SUBMIT (default 17), SMS-STATUS- REPORT in integer format.

<vp>:

Depending on SMS-SUBMIT <fo> setting: TP-Validity- Period either in integer format (default 167) or in time-string format.

<pid>:

TP-Protocol-Identifier in integer format (default 0).

<dcs>:

SMS Data Coding Scheme (default 0).

AT+CSDH  Show Text Mode Parameters

Syntax: AT+CSDH=[<show>]

Controls whether detailed header information is shown in text mode result codes.

AT+CSDH=[<show>]

(No response)

AT+CSDH?

+CSDH: <show>

AT+CSDH=?

+CSDH: (list of supported <show>'s)

<show>:

0

do not show header values defined in commands +CSCA and +CSMP (<sca>, <tosca>, <fo>, <vp>, <pid> and <dcs>) nor <length>, <toda> or <tooa> in +CMT, +CMGL, +CMGR result codes for SMSPP text mode

1

show all the values in result codes

AT+CSCB Select Cell Broadcast Message Types

Syntax: AT+CSCB=[<mode>[,<mids>[,<dcss>]]]

Selects which types of CBM's are to be received by the ME.

AT+CSCB=[<mode>[,<mids>[,<dcss>]]]

(No response)

AT+CSCB?

+CSCB: <mode>, <mids>, <dcss>

AT+CSCB=?

+CSCB: (list of supported <mode>'s)

<mode>:

0	message types specified in <mids> and <dcss> are accepted

1	message types specified in <mids> and <dcss> are not accepted

<mids>:

string type; all different possible combinations of CBM message identifiers; default is an empty string. E.g.: 0,1,5,10-20,22"

<dcss>:

string type; all different possible combinations of CBM data coding schemes; default is an empty string. E.g.: 0-3,5"

AT+CSAS Save Settings

Syntax: AT+CSAS[=<profile>]

Saves active message service settings to a non-volatile memory.

AT+CSAS[=<profile>]

(No response)

AT+CSAS=?

+CSAS: (list of supported <profiles>'s)

<profile>:

0

profile number where settings are to be stored

AT+CRES Restore Settings

Syntax: AT+CRES[=<profile>]

Restores message service settings from a non-volatile memory to active memory.

AT+CRES[=<profile>]

(No response)

AT+CRES=?

+CRES: (list of supported <profile>'s)

<profile>:

0

profile number from where settings are to be restored.

AT+CNMI  New Message Indications to TE

Syntax: AT+CNMI=[<mode>[,<mt>[,<bm>[,<ds>[,<bfr>]]]]]

Selects the procedure, for how the receiving of new messages from the network is indicated to the TE when the TE is active.

AT+CNMI=[<mode>[,<mt>[,<bm>[,<ds>[,<bfr>]]]]]

(No response)

AT+CNMI?

+CNMI: <mode>, <mt>, <bm>, <ds>, <bfr>

AT+CNMI=?

+CNMI: (lists of supported (<mode>'s), (<mt>'s), (<bm>'s), (<ds>'s), (<bfr>'s))

<mode>:

1

Discard indication and reject new received message unsolicited result codes, when the TA-TE link is reserved.

<mt>:

0

No SMS-DELIVER indications are routed to the TE.

1

Indication of SMS-DELIVER is routed to the TE using an unsolicited result code:+CMTI: <mem>,<index>

2

SMS-DELIVERs (except class 2 messages) are routed directly to the TE using an unsolicited result code:+CMT:[<alpha>],<length> <CR><LF><pdu> (PDU mode enabled), or +CMT: <oa>, [<alpha>],<scts>[,<tooa>,<fo>,<pid>,<dcs>,<sca>,<tosca>, <length>]<CR><LF><data> (text mode enabled; refer to the command Show Text Mode Parameters +CSDH).Class 2 messages result in an indication as defined in <mt>=1.

3

Class 3 SMS-DELIVERs are routed directly to the TE using an unsolicited result codes defined in <mt>=2. Messages of other classes result in an indication as defined in <mt>=1.

<bm>:

0

No CBM indications are routed to the TE.

2

New CBMs are routed directly to the TE using an unsolicited result code: +CBM:<length><CR><LF><pdu> (PDU mode enabled) or +CBM:<sn>,<mid>,<dcs>, <page>,<pages><CR><LF><data> (text mode enabled)

<ds>:

0

No SMS-STATUS-REPORTs are routed to the TE.

1

SMS-STATUS-REPORTs are routed to the TE using an unsolicited result code:+CDS:<length><CR><LF><pdu> (PDU mode enabled) or +CDS: <fo>,<mr>,[<ra>], [<tora>], <scts>,<dt>,<st> (text mode enabled)

<bfr>:

0

TA buffer of an unsolicited result codes defined within this command is flushed to the TE when <mode> 1...3 is entered. TA buffer is not implemented.

1

TA buffer of unsolicited result codes defined within this command is cleared when <mode> 1...3 is entered.

AT+CMGL List Messages

Syntax: AT+CMGL[=<stat>]

Returns messages with a status value <stat> from a preferred message storage <mem1> to the TE.

AT+CMGL[=<stat>]

+CMGL: <index>, <stat>, <oa/da>, [<alpha>], [<scts>][,<tooa/toda>, <length>]<CR><LF><data> [<CR><LF>

+CMGL: <index>, <stat>, <da/oa>, [<alpha>], [<scts>][,<tooa/toda>, <length>]<CR><LF><data> [...]]

AT+CMGL=?

+CMGL: (list of supported <stat>'s)

<stat>:

Integer type in PDU mode (default 0), or string type in text mode (default "REC UNREAD"); indicates the status of message in memory.

Defined values:

0 	"REC UNREAD"	received unread message (new message)

1 	"REC READ" 	received read message

2 	"STO UNSENT"	stored unsent message (only SMs)

3 	"STO SENT"	stored sent message (only SMs)

4  	"ALL" 	all messages (only applicable to +CMGL command)

<index>:

Integer type; value in the range of location numbers supported by the associated memory.

<mem1>:

Memory from which messages are read and deleted.

<oa>:

TP-Originating-Address Address-Value field in a string format.

<da>:

TP-Destination-Address Address-Value field in a string format.

<alpha>:

String type alphanumeric representation of <da> or <oa> corresponding to the entry found in MT. (Not supported).

<scts>:

TP-Service-Centre-Time-Stamp in a time-string format.

<tooa>:

TP-Originating-Address Type-of-Address octet in an integer format (default refer <toda>).

<toda>:

TP-Destination-Address Type-of-Address octet in an integer format.

<length>:

Integer type value indicating in the text mode, the length of the message body <data> in characters.

<data>:

TP-User-Data in text mode responses.

AT+CMGR Read Message

Syntax: AT+CMGR=<index>

Returns a message with the location value <index> from a preferred message storage <mem1> to the TE.

AT+CMGR=<index>

 SMS SUBMIT:

+CMGR: <stat>, <oa>, [<alpha>], [<scts>],[,<tooa>, <fo>, <pid>, <dcs>, <sca>, <tosca>, <length>]<CR><LF><data>

 SMS DELIVER:

+CMGR: <stat>, <da>, [<alpha>] [,<toda>, <fo>, <pid>, <dcs>, [<vp>], <sca>, <tosca>, <length>]<CR><LF><data>

AT+CMGR=?

(No response)

<mem1>:

Memory from which messages are read and deleted.

<oa>:

TP-Originating-Address Address-Value field in a string format.

<da>:

TP-Destination-Address Address-Value field in a string format.

<alpha>:

String type alphanumeric representation of <da> or <oa> corresponding to the entry found in MT. (Not supported).

<scts>:

TP-Service-Centre-Time-Stamp in a time-string format.

<tooa>:

TP-Originating-Address Type-of-Address octet in an integer format (default refer <toda>).

<toda>:

TP-Destination-Address Type-of-Address octet in an integer format.

<fo>:

Depending on the command or result code: first octet of SMS-DELIVER, SMS-SUBMIT (default 17), SMS-STATUS- REPORT in an integer format.

<pid>:

TP-Protocol-Identifier in an integer format (default 0).

<dcs>:

SMS Data Coding Scheme (default 0).

<vp>:

Depending on the SMS-SUBMIT <fo> setting: TP-Validity-Period either in an integer format (default 167), or in a time-string format.

<sca>:

RP SC address Address-Value field in a string format.

<tosca>:

RP SC address Type-of-Address octet in an integer format (default refer <toda>)

<length>:

Integer type value indicating in the text mode, the length of the message body <data> in characters.

<data>:

TP-User-Data in text mode responses.

AT+CMGS Send Message

Syntax: AT+CMGS=<da>[,<toda>]<CR>text<ctrl-Z/ESC>

Sends a message from a TE to the network (SMS-SUBMIT). Message reference value <mr> is returned to the TE on successful message delivery. Sending can be cancelled by using the <ESC> character. <ctrl-Z> must be used to indicate the ending of the message body.

AT+CMGS=?

(No response)

<da>:

TP-Destination-Address Address-Value field in a string format.

<toda>:

TP-Destination-Address Type-of-Address octet in the integer format.

AT+CMSS Send Message from Storage

Syntax: AT+CMSS=<index>[,<da>[,<toda>]]

Sends a message with the location value <index> from a preferred message storage <mem2> to the network (SMS- SUBMIT). If a new recipient address <da> is given, it shall be used instead of the one stored with message. Reference value <mr> is returned to TE on successful message delivery.

AT+CMSS=?

(No response)

<da>:

TP-Destination-Address Address-Value field in a string format.

<toda>:

TP-Destination-Address Type-of-Address octet in an integer format.

<mem2>:

Memory in which writing and sending operations are executed.

AT+CMGW Write Message to Memory

Syntax: AT+CMGW=<oa/da>[,<tooa/toda>[,<stat>]]<CR>text<ctrl-Z/ESC>

Stores a message (either SMS-DELIVER or SMS-SUBMIT) in a preferred memory storage <mem2>. Memory location <index> of stored message is returned. By default, message status will be set to "stored unsent", but parameter <stat> also allows other status values to be given. Entering of text is done similarly as specified in command Send Message AT+CMGS.

AT+CMGW=?

(No response)

<stat>:

Integer type in PDU mode (default 0), or string type in text mode (default "REC UNREAD"); indicates the status of message in memory.

Defined values:

0 	"REC UNREAD"	received unread message (new message)

1 	"REC READ"	received read message

2 	"STO UNSENT"	stored unsent message (only SMs)

3 	"STO SENT"	stored sent message (only SMs)

4  	"ALL"	all messages (only applicable to +CMGL command)

<mem2>:

Memory in which writing and sending operations are executed.

<oa>:

TP-Originating-Address Address-Value field in a string format.

<da>:

TP-Destination-Address Address-Value field in a string format.

<tooa>:

TP-Originating-Address Type-of-Address octet in an integer format (default refer <toda>)

<toda>:

TP-Destination-Address Type-of-Address octet in an integer format.

AT+CMGD Delete Message

Syntax: AT+CMGD=<index>

Deletes a message from preferred message storage <mem1> location <index>.

AT+CMGD=?

(No response)

<mem1>:

Memory from which messages are read and deleted.

SMS PDU Mode

AT+CMGL List Messages

Syntax: AT+CMGL[=<stat>]

Returns messages with a status value <stat> from a preferred message storage <mem1> to the TE.

AT+CMGL[=<stat>]

+CMGL: <index>, <stat>, <length><CR><LF><pdu> [<CR><LF>+CMGL: <index>, <stat>, <length>]<CR><LF><pdu> [...]]

AT+CMGL=?

+CMGL: (list of supported <stat>'s)

<stat>:

Integer type in PDU mode (default 0), or string type in text mode (default "REC UNREAD"); indicates the status of message in memory.

Defined values:

0 	"REC UNREAD"	received unread message (new message)

1 	"REC READ"	received read message

2 	"STO UNSENT"	stored unsent message (only SMs)

3 	"STO SENT"	stored sent message (only SMs)

4  	"ALL"	all messages (only applicable to +CMGL command)

<index>:

Integer type; value in the range of location numbers supported by the associated memory.

<mem1>:

Memory from which messages are read and deleted.

<length>:

Integer type value indicating in the text mode, the length of the message body <data> in characters.

<pdu>:

GSM 03.40 SMS-DELIVER or SMS-STATUS-REPORT, or GSM 03.41 CBM in hexadecimal format.

AT+CMGR Read Message

Syntax: AT+CMGR=<index>

Returns a message with a location value <index> from a preferred message storage <mem1> to the TE.

AT+CMGR=<index>

+CMGR: <stat>, <length>, <CR><LF><pdu>

AT+CMGR=?

(No response)

<mem1>:

Memory from which messages are read and deleted.

<length>:

Integer type value indicating in the text mode, the length of the message body <data> in characters.

<pdu>:

GSM 03.40 SMS-DELIVER or SMS-STATUS-REPORT, or GSM 03.41 CBM in hexadecimal format.

AT+CMGS Send Message

Syntax: AT+CMGS=<length><CR>PDU<ctrl-Z/ESC>

Sends a message from a TE to the network (SMS-SUBMIT). Message reference value <mr> is returned to the TE on successful message delivery.

AT+CMGS=?

(No response)

<length>:

Integer type value indicating in the text mode, the length of the message body <data> in characters.

AT+CMGW Write Message to Memory

Syntax: AT+CMGW=<length>[,<stat>]<CR>PDU<ctrl-/ESC>

Stores a message (either SMS-DELIVER or SMS-SUBMIT) in preferred memory storage <mem2>. The memory location <index> of the stored message is returned. By default, the message status will be set to storedunsent, but parameter the <stat> also allows other status values to be given. The entering of text is done similarly as specified in the command Send Message +CMGS.

AT+CMGW=?

(No response)

<length>:

Integer type value indicating in the text mode, the length of the message body <data> in characters.

<stat>:

Integer type in PDU mode (default 0), or string type in text mode (default "REC UNREAD"); indicates the status of message in memory.

Defined values:

0 	"REC UNREAD"	received unread message (new message)

1 	"REC READ" 	received read message

2 	"STO UNSENT"	stored unsent message (only SMs)

3 	"STO SENT"	stored sent message (only SMs)

4  	"ALL"	all messages (only applicable to +CMGL command)


Command Syntax

The letter "n" used in a command syntax is the setting value typed in as a part of the command. Setting values for the commands are presented below under the description of the command.  With some commands, there is the possibility to select, display, and assign a value for a setting. When you select a setting value with an AT command, the setting is valid until you change it.


Syntax of AT+ Commands

When you want to select, display or assign a value for a setting, type in AT+ the command string followed by "=n", "?", or "=?", and press <ENTER>.

1) AT+__=n

To write in a new setting with the command.

2) AT+__?

Displays the current setting for the command.

3) AT+__=?

Displays all setting values that can be used with the command.


Help on AT Commands

To get general Help on the AT commands supported by the data card,

type: AT? or AT?0.

To get Help on a functional group of AT commands

type: AT?n (n= the number of the group).


S-Registers

Unless otherwise specified, the value range of the settings is from 0 to 255.

S0

Defines the number of rings after which the phone automatically answers the call (Auto Answer Function). If the setting is 0, automatic answer is disabled.

Default = 0

S1

Ring count (read only).

Default = 0

S2

Escape code character.

Default = 43

S3

Carriage return character.

Default = 13

S4

Line feed character.

Default = 10

S5

Backspace character.

Default = 8

S7

Wait for connection completion (seconds) (0=connection waiting time is unlimited).

Default = 30

S8

Sets the duration, in seconds, for the pause (,) option in the dial command.

Default = 2

S10

DCD OFF to hang-up delay (seconds/10). Setting 255 signifies that connection will not be cleared even if THE DCD drops. Default is 6 seconds.

Default = 60

S12

Escape Guard Time (seconds/50) 0=escape disabled

Default = 50

S14

For changing the S14 settings, use the following AT commands:

ATEn (n=1) to enable the key presses to be displayed on the screen or (n=0) to disable,

ATQn (n=0) to enable or (n=1) to disable the responses,

ATVn to switch between the textual (long format) responses (n=1) and numerical (short format) responses (n=0).

Bit-mapped options: bits 1, 2 and 3.

bit 1: 0=ATE0,1=ATE1

bit 2: 0=ATQ0,1=ATQ1

bit 3: 0=ATV0,1=ATV1.

E.g., if bit 3 is 1, then the ATV1 command has been executed. The default values are shown in bold italics. The bits are numbered from 0 to 7.

Default = 10

S21

For changing the S21 settings use the following AT commands:

AT&Cn to define the DCD signal usage. The DCD signal is always on (n=0 or not present) or else used in the normal way (n=1),

AT&Dn to define the DTR signal usage.

AT&Sn to define the DSR signal usage. The DSR signal is always on (n=0 or not present) or else used in the normal way (n=1).

Bit-mapped options:

bits 3, 4, 5 and 6.

bits 4&3: 00=AT&D0, 01=AT&D1, 10=AT&D2, 11=AT&D3

bit 5: 0=AT&C0, 1=AT&C1

bit 6: 0=AT&S0, 1=AT&S1

E.g.,if bit 4 is 0 and bit 3 is 1, the command AT&D1 has been executed.

The default values are shown in bold.

Default = 112

S22

For changing the S22 Register use the following

AT commands for changing the response ranges:

ATX0 responses 0-4 are enabled

ATX1 responses 0-5, 10 are enabled

ATX2 responses 0-5, 10 are enabled

ATX3 responses 0-5, 7, 10 are enabled

ATX4 responses 0-5, 7, 8, 10 are enabled

ATX5 all responses are enabled

Bit-mapped options: bits 4, 5 and 6.

bits 6&5&4: 000=ATX0, 100=ATX1, 101=ATX2, 110=ATX3, 111=ATX4, 001=ATX5

E.g., if bit 4 is 0 and bits 5 and 6 are 1, the command ATX3 has been

executed.

Default = 16

S25

Detect DTR change (seconds)

Default = 0

S27

For defining the communication mode option and changing the S27 Register use the ATQn command:

AT&Q0 for the normal asynchronous operation,

AT&Q2 for the DTR controlled dialling (on the DTR ON-OFF transition the terminal adaptor automatically dials the number in the slot &Z0).

Bit-mapped options: bit 1.

bit 1: 0=AT&Q0, 1=AT&Q2

S34

Local flow control

0=none

1=XON/XOFF

2=CTS/RTS

3=both XON/XOFF and CTS/RTS

S35

Remote modem type

0=none (ISDN connection )

1=V.21

2=V.22

3=V.22bis

4=V.23

5=V.26ter

6=V.32

7=autobauding (mobile switching centre selects a compatible modem)

8=undefined

S38

Command Interpreter mode

0=EIA/TIA - 602

1=CCITT V.25bis

S39

S39 stores the ID number of the terminal adaptor in a decimal format. The ID can be displayed with the ATI0 command

Default = 0

S40

Type of number

0=Unknown

1=International

2=National

3=Network specific

4=Dedicated PAD

S41

Numbering plan

0=Unknown

1=ISDN/telephony (E.163/E.164)

2=Data (X.121)

3=Telex (F.69)

4=National

5=Private

S42

Radio Link Protocol uplink window size (0-61)

Default = 61

S43

Radio Link Protocol downlink window size (0-61)

Default = 61

S44

Radio Link Protocol T1 timer value (39-255)seconds/100

Default = 48

S45

Radio Link Protocol N2 repetition count (1-255)

Default = 6

S46

Force Data Compression (only for mobile to mobile connections)

0=Disabled

1=Data compression in transmit direction only

2=Data compression in receive direction only

3=Data compression in both directions

S47

Error Correction Mode with FClasses 2 and 2.0

0=Disabled

1=Enabled, 64 byte frames

2=Enabled, 256 byte frames


Responses in AT Command Mode

+CME ERROR  Mobile Equipment Error Result Code

The operation of the +CME ERROR: <err> result code is similar to the regular ERROR result code: if +CME ERROR: <err> is the result code for any of the commands in a command line, none of the following commands in the same command line are executed (neither ERROR nor OK result code shall be returned as a result of a completed command line execution). The format can be either numeric or verbose. This is set with the command +CMEE.

NOTE: ITU-T V.25ter command V does not affect the format of this result code.

<err> values (numeric format followed by verbose format):

0	phone failure

1	no connection to phone

2	phone-adaptor link reserved

3	operation not allowed

4	operation not supported

10	SIM not inserted

16	incorrect password

20	memory full

21	invalid index

22	not found

23	memory failure

24	text string too long

25	invalid characters in text string

26	dial string too long

27	invalid characters in dial string

31	network timeout

100	unknown

+CMS ERROR Message Service Failure Result Code

The final result code +CMS ERROR: <err> indicates an error related to mobile equipment or the network. The operation is similar to the ERROR result code. None of the following commands in the same command line is executed. Neither the ERROR nor OK result code shall be returned. ERROR is returned normally when the error is related to syntax or invalid parameters.

Defined Values

<err> values used by common messaging commands:

300	ME failure

301	SMS service of ME reserved

302	operation not allowed

303	operation not supported

304	invalid PDU mode parameter

305	invalid text mode parameter

310	SIM not inserted

311	SIM PIN necessary

312	PH-SIM PIN necessary

313	SIM failure

314	SIM busy

315	SIM wrong

320	memory failure

321	invalid memory index

322	memory full

330	SMSC address unknown

331	no network service

332	network timeout

500	unknown error

...511	other values in range 256...511 are reserved

512...	manufacturer specific

+CRING: <type> Extended Format Incoming Call Indication

This is a response of the data card indication of an incoming call if the extended format incoming call indication is selected by the command AT+CRC=1 above.

<type>:

REL ASYNC	asynchronous non-transparent data call

FAX	facsimile call (TS62)

VOICE	normal voice (TS11)

RING Incoming Call Indication

Ring is not a command issued by the user but a response of the data card indicating an incoming call. The numeric (short form) value of the RING response is 2.

+CME ERROR Mobile Equipment Error Result Code

+CRING:<type> Extended Format of Incoming Call Indication

Responses to ATA Command

Long responses / Short responses /

CONNECT / 1 /

CONNECT 1200 / 5 /

CONNECT 2400 / 10 /

CONNECT 4800 / 11 /

CONNECT 9600 / 12 /

Connection established. The digits show the data card connection speed. If no digits follow the CONNECT message, the data card terminal speed is 300 bps, unless the response range has been restricted by an ATX command in which case it could be any speed.

NO CARRIER / 3 /

Connection no longer exists.

ERROR / 4 /

Invalid command.

OK / 0 /

If the command is aborted.

Responses to ATD Command

Long responses / Short responses

BLACKLISTED /14/

Response to dial command which addressed a blacklisted number. See *) below.

BUSY / 7 /

The response to a dial command when the called party is busy.

CARRIER / 16 /

The cellular network carrier RLP is active.

CONNECT / 1 /

CONNECT 1200 / 5 /

CONNECT 2400 / 10 /

CONNECT 4800 / 11 /

CONNECT 9600 / 12 /

Connection established. The digits show the data card connection speed. If no digits follow the CONNECT message, the data card terminal speed is 300 bps, unless the response range has been restricted by an ATX command in which case it could be any speed.

DELAYED / 13 /

The response to a dial command which addressed a delayed number. See *) below.

ERROR / 4 /

Invalid command.

NO ANSWER / 8 /

The response to a dial command when the called party did not answer the call.

NO CARRIER / 3 /

Connection no longer exists.

OK / 0 /

If the command is aborted or if the dial string is terminated by a semicolon character.

*) When the data card tries to reach a number and fails to establish a connection, further attempts will be delayed, i.e., successive attempts to dial the same number will be rejected for a short period of time, and the response DELAYED will be displayed. The delay period only lasts for a few seconds at first, however, if you continue to try to get the call through and fail, the delay will be prolonged for a few minutes. Finally, the called number will be included on a list of so-called blacklisted numbers. The response BLACKLISTED will be seen on the screen. The data card will not accept any new attempts to that number before you press any key on the cellular phone keypad. This user action erases the number from the list and enables you to call the number again. The purpose of blacklisting numbers is to conserve the network's resources.

Responses to ATO Command

Long responses / Short responses

CONNECT / 1 /

CONNECT 1200 / 5 /

CONNECT 2400 / 10 /

CONNECT 4800 / 11 /

CONNECT 9600 / 12 /

Connection is succesfully resumed. The digits show the data card terminal speed. If no digits follow the CONNECT message, the data card terminal speed is 300 bps, unless the response range has been restricted by an ATX command in which case it could be any speed.

NO CARRIER / 3 /

Connection is not successfully resumed.

ERROR / 4 /

Invalid command.

OK / 0 /

If the command is aborted.


Abbreviations

CTS	Clear To Send.

DCD	Data Carrier Detect.

DCE	Data Circuit-Terminating Equipment, i.e., here the Data Card.

DSR	Data Set Ready.

DTE	Data Terminal Equipment (see also TE below).

DTR	Data Terminal Ready.

ME	Mobile Equipment, which in most cases is a mobile phone.

RTS	Request To Send.

TA	Terminal Adapter.

TE 	Terminal Equipment, which in most cases is a computer.